Created: 2011-12-12 Assigned To: Sebastian Kurfuerst
Updated: 2011-12-19 Due date:
Has patch: No
Affected Flow version: Git master
Subject: Adjust Ajax Widgets to new Bootstrap
Description

The new FLOW3 Bootstrap (#32333) implements new request handlers.
Now, Fluid needs to be adjusted to the new request handlers. however, there is one problem:
The Fluid request handler determines if it can be used depending on whether a certain GET variable is set. For that, it uses the 
TYPO3\FLOW3\Utility\Environment; which is however not yet initialized when canHandleRequest is called.

A workaround would be to use $_GET directly; but can we find a clean solution to this?

Associated revisions
Revision eeadd2bb - 2011-12-12 07:59 - Sebastian Kurfuerst

[BUGFIX] (Widget): Adjust Ajax Widgets to rewritten Bootstrap

As the concept of Request Handlers has been updated and extended,
we need to adjust the WidgetRequestHandler accordingly.

This bugfix is testable with the Viewhelpertest package, using the
manual test "Widgets: AJAX widget context is reset correctly".

Change-Id: I8a0960b41a9de49f90c6e4b921e923ab3301a373
Fixes: #32451
Releases: 1.1

Revision a535ee72 - 2011-12-19 17:03 - Bastian Waidelich

[BUGFIX] Fix WidgetRequestHandler unit tests

This change fixes unit tests that were broken with eeadd2b

Change-Id: I1281f2e8c6ad3485a3e1c96b15f8a7660e691f52
Related: #32451
Releases: 1.1

History
#1 - 2011-12-12 08:00 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7212

#2 - 2011-12-19 15:36 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:eeadd2bbb8559b7434d95e41ddc5e998b7cf18b2.
